Package org.eclipse.emf.compare.ide.ui.internal.treecontentmanager

# Interface EMFCompareDeferredTreeContentManager

All Known Implementing Classes:
  `EMFCompareDeferredTreeContentManagerImpl`

public interface EMFCompareDeferredTreeContentManager
A wrapper interface for `DeferredTreeContentManager` which enables EMFCompare to switch between its own and the default platform implementation. This is required to detach EMFCompare from `DeferredTreeContentManager`'s dependency to the workbench and therefore enables EMFCompare to support pure E4 applications.

## Method Summary

Modifier and Type
Method
Description
`void`
`addUpdateCompleteListener(org.eclipse.core.runtime.jobs.IJobChangeListener listener)`
`Object[]`
`getChildren(Object parent)`
`void`
`removeUpdateCompleteListener(org.eclipse.core.runtime.jobs.IJobChangeListener listener)`

## Method Details

### addUpdateCompleteListener

void addUpdateCompleteListener(org.eclipse.core.runtime.jobs.IJobChangeListener listener)

See Also:
  - `DeferredTreeContentManager.addUpdateCompleteListener(IJobChangeListener)`

### getChildren

Object[] getChildren(Object parent)

See Also:
  - `DeferredTreeContentManager.getChildren(Object)`

### removeUpdateCompleteListener

void removeUpdateCompleteListener(org.eclipse.core.runtime.jobs.IJobChangeListener listener)

See Also:
  - `DeferredTreeContentManager.removeUpdateCompleteListener(IJobChangeListener)`